#!/bin/sh
                                     
BOARDTYPE=`cat /proc/cmdline | awk '{for (i=1;i<=NF;i++) { if ($i~/boardtype/) {type=$i} } } END {print substr(type,11)}'`

cd /cathexis/upgrade
./cat_upgrade > /dev/null &

cd /cathexis/bin
./cat_boardcontrol > /dev/null &

sleep 15

case "$BOARDTYPE" in

HDE1) echo "Starting Cathexis HDE1001 servers"
      ./cat_media > /dev/null &
      sleep 4
      ./cat_sam3 > /dev/null &
      ./cat_directserver > /dev/null &
      ;;

HDE4) echo "Starting Cathexis HDE1004 servers"
      ./cat_quad > /dev/null &
      sleep 4
      ./cat_sam3 > /dev/null &
      ./cat_directserver > /dev/null &
      ;;
    
MVR)  echo "Starting Cathexis MVR servers"
			./mdvr_profiler > /dev/null &
			sleep 2
      ./mdvr_ignition > /dev/null &
      /cathexis/scripts/start_modem.sh &			
      ./cat_quad > /dev/null &
      sleep 15
      ./mdvr_writer > /dev/null &
			/cathexis/scripts/start_bootmonitor.sh &
      ;;

IVR)  echo "Starting Cathexis IVR servers"
      ./cat_quad > /dev/null &
      sleep 4
      ./mdvr_writer scope /dev/ttyS1 > /dev/null &
      ;;

MVR2)  echo "Starting Cathexis MVR2 servers"
			./mdvr_profiler > /dev/null &
			sleep 2
      ./mdvr_ignition > /dev/null &
      /cathexis/scripts/start_modem.sh &
      ./cat_quad > /dev/null &			 
      ./mdvr_writer > /dev/null &
      ./mdvr_live > /dev/null &
			/cathexis/scripts/start_bootmonitor.sh &
      ;;

SAM3204) echo "Starting Cathexis SAM3204 servers"
      ./cat_quad > /dev/null &
      ./cat_directserver > /dev/null &
      ;;

EIO3148) echo "Starting Cathexis EIO3148 servers"
			 ./eio3_legacy > /dev/null &
      ;;

ESP3102) echo "Starting Cathexis ESP3102 servers"
      ./esp3102_server > /dev/null &
      ;;

*)    echo "Cannot determine board"
      ;;
esac

./cat_stats > /dev/null &
./cat_discover > /dev/null &
